/* Normalize */
body, h1, h2, h3, h4, h5, h6, p, blockquote, pre, hr, dl, dd, ol, ul, figure {
	margin: 0;
	padding: 0
}

body {
	font-family: "Helvetica Neue", Arial, Helvetica, sans-serif;
	//font-family: 'Atkinson Hyperlegible', "Helvetica Neue", Arial, Helvetica, sans-serif;
	font-size: 16px;
	line-height: 1.8;
	font-weight: 400;
	color: #111;
	background-color: #fdfdfd;
	-webkit-text-size-adjust: 100%
}

h1, h2, h3, h4, h5, h6, p, blockquote, pre, ul, ol, dl, figure, .highlight {
	margin-bottom: 15px
}

img {
	max-width: 100%;
	vertical-align: middle;
	height: auto;
}

figure > img {
	display: block
}

figcaption {
	font-size: 14px
}

ul, ol {
	margin-left: 30px
}

li > ul, li > ol {
	margin-bottom: 0
}

h1, h2, h3, h4, h5, h6 {
	font-weight: 400
}

a {
	color: #184C90;
	text-decoration: underline;
	text-decoration-thickness: 1px;
}

a:visited {
	color: #143d72
}

a:hover {
	color: #111;
	text-decoration: none
}

blockquote {
	color: #727272;
	border-left: 4px solid #e8e8e8;
	padding-left: 15px;
	font-size: 18px;
	letter-spacing: -1px;
	font-style: italic
}

blockquote > :last-child {
	margin-bottom: 0
}

pre, code {
	font-size: 15px;
	border: 1px solid #e8e8e8;
	border-radius: 3px;
	background-color: #eef
}

code {
	padding: 1px 5px
}

pre {
	padding: 8px 12px;
	overflow-x: scroll
}

pre > code {
	border: 0;
	padding-right: 0;
	padding-left: 0
}

/* Page Layout */
.wrapper {
	max-width: calc(800px - (30px * 2));
	margin-right: auto;
	margin-left: auto;
	padding-right: 30px;
	padding-left: 30px
}

@media screen and (max-width: 800px) {
	.wrapper {
		max-width: calc(800px - (30px));
		padding-right: 15px;
		padding-left: 15px
	}
}

.wrapper:after, .footer-col-wrapper:after {
	content: "";
	display: table;
	clear: both
}

/* Menu icon */
.icon > svg {
	display: inline;
	width: 16px;
	height: 16px;
	vertical-align: middle
}

.icon > svg path {
	fill: #828282
}

/* Skip! */
.skip_link {
	position: absolute;
	left: -10000px;
	top: auto;
	width: 1px;
	height: 1px;
	overflow: hidden;
	display: block;
}

.skip_link:focus {
	position: static;
	width: auto;
	height: auto;
	text-align: center;
	margin: 0 auto;
}


/* Header Navigation Stuff */
.site-header {
	border-top: 5px solid #424242;
	border-bottom: 1px solid #e8e8e8;
	min-height: 56px;
	position: relative
}

.site-title {
	font-size: 26px;
	line-height: 56px;
	letter-spacing: -1px;
	margin-bottom: 0;
	float: left
}

.site-title, .site-title:visited {
	color: #424242
}

.site-nav {
	float: right;
	line-height: 56px
}

.site-nav .menu-icon {
	display: none
}

.site-nav .page-link {
	color: #111;
	line-height: 1.5
}

.site-nav li {
	list-style: none;
	display: inline-block;
	margin-right: 1em;
}

.site-nav .page-link:not(:first-child) {
	margin-left: 20px
}

@media screen and (max-width: 600px) {
	.site-nav {
		position: absolute;
		top: 9px;
		right: 30px;
		background-color: #fdfdfd;
		border: 1px solid #e8e8e8;
		border-radius: 5px;
		text-align: right
	}

	.site-nav .menu-icon {
		display: block;
		float: right;
		width: 36px;
		height: 36px;
		line-height: 0;
		padding: 0;
		text-align: center;
		border-radius: 3px;
		border-color: #000;
		border-width: 1px;
		background-color: #e8e8e8;
	}

	.site-nav .menu-icon > svg {
		width: 18px;
		height: 15px
	}

	.site-nav .menu-icon > svg path {
		fill: #424242
	}

	.site-nav .trigger {
		clear: both;
		display: none
	}

	.site-nav:hover .trigger {
		display: block;
		padding-bottom: 5px
	}

	.site-nav .page-link {
		display: block;
		padding: 5px 10px
	}

	.site-nav li {
		list-style: none;
		display: block;
		margin-right: 0;
	}

}

.breadcrumb_nav ol {
	margin: .5em 0;
}
.breadcrumb_nav li {
	list-style: none;
	display: inline-block;
	padding: 0 .25em;
}
.breadcrumb_divider {
	padding-left: 0.5em;
}

.subnav {
	margin: 10px 0;
	padding: 0;
}

.subnav:after {
	content: "";
	display: table;
	clear: both;
}

.sub_nav_item {
	display: inline-block;
	list-style: none;
	margin: 5px 20px 0 0;
}

/* Footer */
.site-footer {
	border-top: 1px solid #e8e8e8;
	padding: 30px 0
}

.footer-heading {
	font-size: 18px;
	margin-bottom: 15px
}

.contact-list, .social-media-list {
	list-style: none;
	margin-left: 0
}

.footer-col-wrapper {
	font-size: 15px;
	color: #424242;
	margin-left: -15px
}

.footer-col {
	float: left;
	margin-bottom: 15px;
	padding-left: 15px
}

.footer-col-1 {
	width: calc(35% - (30px / 2))
}

.footer-col-2 {
	width: calc(20% - (30px / 2))
}

.footer-col-3 {
	width: calc(45% - (30px / 2))
}

@media screen and (max-width: 800px) {
	.footer-col-1, .footer-col-2 {
		width: calc(50% - (30px / 2))
	}

	.footer-col-3 {
		width: calc(100% - (30px / 2))
	}
}

@media screen and (max-width: 600px) {
	.footer-col {
		float: none;
		width: calc(100% - (30px / 2))
	}
}

.visually-hidden {
	clip: rect(0 0 0 0);
	clip-path: inset(50%);
	height: 1px;
	overflow: hidden;
	position: absolute;
	white-space: nowrap;
	width: 1px;
}

/* Body content */
.page-content, .content {
	padding: 30px 0
}

.page-heading {
	font-size: 20px
}

.post-list {
	margin-left: 0;
	list-style: none
}

.post-list > li {
	margin-bottom: 30px
}

.post-meta {
	font-size: 14px;
	color: #424242;
}

.post-link {
	display: block;
	font-size: 24px
}

.post-header, .header {
	margin-bottom: 30px
}

.post-title, .title {
	font-size: 42px;
	letter-spacing: -1px;
	line-height: 1
}

@media screen and (max-width: 800px) {
	.post-title, .title {
		font-size: 36px
	}
}

.post-content, .content {
	margin-bottom: 15px
}

.post-content h2, .content h2 {
	font-size: 32px
}

@media screen and (max-width: 800px) {
	.post-content h2, .content h2 {
		font-size: 28px
	}
}

.post-content h3 {
	font-size: 26px
}

ol li {
	margin-bottom: .4em;
}

@media screen and (max-width: 800px) {
	.post-content h3 {
		font-size: 22px
	}
}

.post-content h4 {
	font-size: 20px
}

@media screen and (max-width: 800px) {
	.post-content h4 {
		font-size: 18px
	}
}

/* An image style that I should probalby remove */
.pull-right {
	float: right;
	margin: 1em
}

blockquote {
	color: #333;
	font-style: normal;
	letter-spacing: 0
}

.content hr {
	margin: 20px 0;

}

/* Utility because I can't stop using floats */
.clearfix::after {
	display: block;
	content: "";
	clear: both;
}

/* Albums */
figure.item {
	float: left;
	margin: 0 10px 10px 0;
}

.image_wrapper {
	position: relative;
	height: 0;
	padding-bottom: calc(var(--aspect-ratio, .5625) * 100%);
}
.resource_item {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}

.toggle {
	display: none;
	max-width: 300px;
	border-left: 1px solid #727272;
	margin-bottom: 1em;
}

.toggle:target {
	display: block;
}

.toggle_close {
	display: block;
	text-align: right;
}

.nav_links {
	display: flex;
	align-items: flex-start;
	justify-content: space-between;
	text-align: center;
	padding: 1rem 0;
}

.album-list {
	margin: 30px 0;
}

.album {
	clear: both;
	border-top: 1px solid #ccc;
	margin: 10px 0;
}

.album_cover_link {
	float: right;
	display: block;
	margin: 10px 0 10px 10px;
}

.album_title_link {
	display: block;
	padding-top: 10px;
	font-size: 1.3em;
}

/* Callouts */
.callout {
	margin: 20px 0 35px;
}
.callout:after {
	content: "";
	display: table;
	clear: both;
}

.callout_title {
	font-size: 1.4em;
}

.album_item {
	width: 30%;
	margin-right: 3%;
	float: left;
}

h3.callout_post_title {
	margin-bottom: 8px;
}

.callout-post-list {
	margin-left: 0;
	list-style: none
}

.callout-post-list > li {
	margin-bottom: 15px
}

.callout_link {
	margin-top: .5em;
}

h2.item_heading {
	font-size: 1.1em;
}

.item_metadata {
	margin-bottom: 1em;
}

.license {
	border-top: 1px solid #424242;
}


/* Table handling */
table { width: 100%; }


tr:nth-child(even) {
	background-color: #f2f2f2
}

thead th {
	vertical-align: bottom;
}

th {
	padding: 0.5em;
	text-align: left;
	vertical-align: top;
}

td {
	padding: 0.5em;
	text-align: right;
	vertical-align: top;
}

/* Exception for Songs */
.songs td {
	padding: 0.5em;
	text-align: left;
	vertical-align: top;
}

.artist_link {
	display: block;
	margin-bottom: .4em;
}

/* Charts and Graphs for comics */
.left {
	max-width: 100px;
	text-align:left;
	float: left;
}

.right {
	max-width: 100px;
	text-align: right;
	float: right;
}

.mid, .mid:visited {
	clear: both;
	display: block;
	margin: 2em auto;
	text-align: center;
	color: #222;
}

.mid:hover {
	text-decoration: none;
	color: #003366;
}

.chart_full {
	width: 100%;
	height: 300px;
	clear: both;
}

.chart_half {
	width: 49%;
	height: 200px;
	float: left;
}

/* Lightboxes for songs */
.lightbox {
	position: fixed;
	top: -100%;
	bottom: 100%;
	left: 0;
	right: 0;
	background: #ccc;
	z-index: 501;
	opacity: 0;
}

.lightbox iframe {
	position: absolute;
	margin: auto;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	max-width: 100%;
	vertical-align: middle;
}

.lightbox button {
	position: absolute;
	margin: auto;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: #ccc;
	border: none;
	padding: 0;
	text-decoration: none;
	cursor: pointer;
	text-align: center;
	-webkit-appearance: none;
	-moz-appearance: none;
}

.lightbox button:after {
	content: '';
	width: 0;
	height: 0;
	border-top: 48px solid transparent;
	border-left: 72px solid rgba(146, 15, 15, 0.8);
	border-bottom: 48px solid transparent;
	position: absolute;
	top: 45%;
	left: 48%;
}

.lightbox-controls {
	position: fixed;
	height: 70px;
	width: 70px;
	top: -70px;
	right: 0;
	z-index: 502;
	background: rgba(0,0,0,.1);
}

.close-lightbox {
	display: block;
	position: absolute;
	overflow: hidden;
	height: 50px;
	width: 50px;
	text-indent: -5000px;
	right: 10px;
	top: 10px;
	transform: rotate(45deg);
}

.lightbox:target {
	top: 0%;
	bottom: 0%;
	opacity: 1;
}

.lightbox:target ~ .lightbox-controls {
	top: 0px;
}

.lightbox:target ~ .lightbox-controls .close-lightbox:after {
	width: 50px;
}

.lightbox:target ~ .lightbox-controls .close-lightbox:before {
	height: 50px;
}

.close-lightbox:before {
	content: '';
	display: block;
	position: absolute;
	height: 0px;
	width: 3px;
	left: 24px;
	top: 0;
	background: white;
	border-radius: 2px;
}

.close-lightbox:after {
	content: '';
	display: block;
	position: absolute;
	width: 0px;
	height: 3px;
	top: 24px;
	left: 0;
	background: white;
	border-radius: 2px;
}

a.emoji {
	text-decoration: none;
	display: block;
	text-align: center;
}

.comic_filter select, .comic_filter input {
	font-size: 1.2em;
}
